<div class="subscription-wrapper" >
    <app-nav></app-nav>
    <div class="subscription-nav">
        <div class="ui container">
            <div class="ui grid">
                <div class="ui four wide column">
                    <span class="title">
                            Subscription
                    </span>  
                </div>
                <div class="ui twelve wide column subscription-steps">
                    <div class="step-wrapper" [ngClass]="{'active':activeStep == 0}">
                            <div class="step" >Plan type </div>
                    </div>
                    <div class="step-wrapper" [ngClass]="{'active':activeStep == 1}">
                            <div class="step" >Payments details </div>
                    </div>
                    <div class="step-wrapper" [ngClass]="{'active':activeStep == 2}">
                            <div class="step" >Domain name </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="ui container subscription-content">
        <ng-template [ngIf]="activeStep == 0">
            <plans></plans>          
        </ng-template>
        <ng-template [ngIf]="activeStep == 1">            
            <div class="billing-form">
                <div class="ui grid">
                    <div class="centered ten wide column credit-card-info" >                       
                       <card></card>
                    </div>
                    <div class="right floated four wide column billing-summary" >                        
                        
                        <button class="ui button custom-orange" (click)="try()">Try</button>
                    </div>
                </div>
            </div>
        </ng-template>
        <div class="subscription-footer">
                <button class="ui blue button" [ngClass]="{'disabled': activeStep == 0}" (click)="previousStep()">Back</button>
                <button class="ui button custom-orange" (click)="nextStep()">Continue</button>
            </div>
    </div>
</div>
<!-- <div class="ui inverted dimmer" [ngClass]="{'active': !stripeLoaded}">
    <div class="ui large text loader"></div>
</div> -->